<?php
require_once $_SERVER['DOCUMENT_ROOT']."/includes/start.php";
if(isset($_SESSION['auth']) and $_SESSION['auth']==1){
echo $_up;

if($usr['status']>3){

switch($_GET['go']){

default:

echo 'Управление:<br>
<a href="?go=rooms"><b>комнатами</b></a><br>
<a href="?go=users"><b>пользователями</b></a><br>
<a href="?go=familys"><b>семьи</b></a><br>';

break;
case 'rooms':
echo '<b>Управление комнатами</b>';
$room_q=mysql_query("SELECT * FROM `rooms`");
while($room=mysql_fetch_array($room_q)){

echo'<div class="menu">
<b>ID:</b> '.$room['rm'].' | '.$room['name'].' <small><b>(<a href="?go=del_room&amp;rm='.$room['rm'].'">удалить</a>|<a href="?go=edit_room&amp;rm='.$room['rm'].'">редактировать</a>|<a href="?go=clear_room&amp;rm='.$room['rm'].'">очистить</a>)</b></small>
</div>';

}
echo '<a href="?go=new_room">Создать комнату</a><br>
<a href="?go=clear_t_rooms">Очистить базу "rooms"</a>';
break;

case 'del_room':

$rm=$_GET['rm'];

if(empty($rm)){

echo 'Ошибка!'; exit;

}

$room =mysql_query("SELECT * FROM `rooms` WHERE `rm`='$rm'");
$room_inf=mysql_fetch_array($room);
$room =mysql_num_rows($room);

if($room != 0){

mysql_query("DELETE FROM `rooms` WHERE `rm` = '$rm'");
echo 'Успешно!';

}else{

echo 'Нет такого раздела :(';

}

break;

case 'new_room':

echo '<div class="menu">
<form action="?go=new_roomGO" method="post">
Название комнаты:<br>
<input name="name"/><br>
<input type="submit" value="ОК"/>
</form></div>';

break;

case 'new_roomGO':

$name=$_POST['name'];

if(empty($name)){
echo 'Вы не ввели название комнаты!'; exit;
}

$rooms_id = mysql_result(mysql_query("SELECT count(*) FROM `rooms`"), 0);
$id = mysql_insert_id();
mysql_query("INSERT INTO `rooms` (`rm`,`name`,`topic`,`type`,`status`,`points`,`pos`)VALUES('$id','$name','','','','','')");

echo 'Успешно!';

break;

case 'clear_room':

if(empty($rm) or $rm=="" or $rm==0){

echo 'Ошибка!'; exit;

}

mysql_query( "Delete from msg where rm=$rm" );
mysql_query( "OPTIMIZE TABLE msg WHERE rm=$rm" );
mysql_query( "TRUNCATE TABLE msg WHERE rm=$rm" );

echo 'Комната успешно очищена!';

break;

case 'users':
echo '<b>Управление пользователями</b>';
$user_q=mysql_query("SELECT * FROM `users`");
while($user=mysql_fetch_array($user_q)){

echo'<div class="menu"><small>
<b>ID:</b> '.$user['id'].'<br>
<b>Логин:</b> '.$user['login'].'<br>
<b>Пароль:</b> '.$user['password'].'<br>
<b>IP и UA:</b> '.$user['ip'].'/ '.$user['user_agent'].'<br>
<b>Поинтов:</b> '.$user['points'].'<br>
<b>Кредитов:</b> '.$user['credits'].'<br>';

if($user['status']==1){ $user['status']='Пользователь'; }
if($user['status']==2){ $user['status']='Бывалый'; }
if($user['status']==3){ $user['status']='VIP'; }
if($user['status']==4){ $user['status']='Шаман чата'; }
if($user['status']==5){ $user['status']='Модератор чата'; }
if($user['status']==6){ $user['status']='Администратор чата'; }

echo '<b>Статус:</b> '.$user['status'].'<br>

<b>[ <a href="?go=edit_user&amp;id='.$user['id'].'">редактировать</a> |
<a href="?go=del_user&amp;id='.$user['id'].'">удалить</a> ]</b><br>

</small></div>';

}

break;

case 'del_user':

$id=$_GET['id'];

if(empty($id)){

echo 'Ошибка!'; exit;

}

$user =mysql_query("SELECT * FROM `users` WHERE `id`='$id'");
$user_inf=mysql_fetch_array($user);
$user =mysql_num_rows($user);

if($user!= 0){

mysql_query("DELETE FROM `users` WHERE `id` = '$id'");
echo 'Успешно!';

}else{

echo 'Нет такого юзера :(';

}

break;

case 'edit_user':

$id=$_GET['id'];

if(empty($id)){

echo 'Ошибка!'; exit;

}

$user =mysql_query("SELECT * FROM `users` WHERE `id`='$id'");
$user_inf=mysql_fetch_array($user);
$user =mysql_num_rows($user);

if($user!= 0){

echo 'сек...';

}else{

echo 'Нет такого юзера :(';

}

break;


case 'familys':

echo '<b>Поженить:</b><br><br>';


echo '<div class="menu">
<form action="?go=new_family" method="post">
Поженить (ID с ID):<br>
Кого (м) <input name="m_id" size="3"/> с кем <input name="w_id" size="3"/> (ж)<br>
<input type="submit" value="ОК"/>
</form></div>';

echo '<b>Развести:</b><br><br>';


echo '<div class="menu">
<form action="?go=del_family" method="post">
Развести (ID с ID):<br>
Кого (м) <input name="m_id" size="3"/> с кем <input name="w_id" size="3"/> (ж)<br>
<input type="submit" value="ОК"/>
</form></div>';

break;

case 'new_family':

$m_id=$_POST['m_id'];

$w_id=$_POST['w_id'];


if(empty($m_id)){

echo 'Ошибка!<br>Вы не ввели ID жениха!'; exit;

}

if(empty($w_id)){

echo 'Ошибка!<br>Вы не ввели ID невесты!'; exit;

}

if($m_id==$w_id){

echo 'Нельзя так!'; exit;

}


$m =mysql_query("SELECT * FROM `users` WHERE `id`='$m_id'");
$m_inf=mysql_fetch_array($m);
$m =mysql_num_rows($m);

if($m== 0){

echo 'Ошибка!<br>Жениха не существует!'; exit;

}

if($m_inf['love']!==""){

echo 'ID: '.$m_inf['id'].' уже женат!'; exit;

}


$w =mysql_query("SELECT * FROM `users` WHERE `id`='$w_id'");
$w_inf=mysql_fetch_array($w);
$w =mysql_num_rows($w);

if($w== 0){

echo 'Ошибка!<br>Невесты не существует!'; exit;

}

if($w_inf['love']!==""){

echo 'ID: '.$w_inf['id'].' уже женат!'; exit;

}

mysql_query("update users set love=$w_id where id='$m_id' limit 1");
mysql_query("update users set love=$m_id where id='$w_id' limit 1");

$text=''.$m_inf['login'].' и '.$w_inf['login'].' поженились .';
mysql_query( "Insert into msg set id=0, rm='1', from_id='', for_id='', text='".$text."', type='PRESENT', time='".date("H:i:s")."'" );

echo 'Успешно!';

break;

case 'del_family':


$m_id=$_POST['m_id'];

$w_id=$_POST['w_id'];


if(empty($m_id)){

echo 'Ошибка!<br>Вы не ввели ID жениха!'; exit;

}

if(empty($w_id)){

echo 'Ошибка!<br>Вы не ввели ID невесты!'; exit;

}

if($m_id==$w_id){

echo 'Нельзя так!'; exit;

}


$m =mysql_query("SELECT * FROM `users` WHERE `id`='$m_id'");
$m_inf=mysql_fetch_array($m);
$m =mysql_num_rows($m);

if($m== 0){

echo 'Ошибка!<br>Жениха не существует!'; exit;

}

if($m_inf['love']!==$w_id){

echo 'ID: '.$m_inf['id'].' не женат на ID: '.$w_id.'!'; exit;

}


$w =mysql_query("SELECT * FROM `users` WHERE `id`='$w_id'");
$w_inf=mysql_fetch_array($w);
$w =mysql_num_rows($w);

if($w== 0){

echo 'Ошибка!<br>Невесты не существует!'; exit;

}

if($w_inf['love']!==$m_id){

echo 'ID: '.$w_inf['id'].' не женат на ID: '.$m_id.'!'; exit;

}


mysql_query("update users set love='' where id='$m_id' limit 1");
mysql_query("update users set love='' where id='$w_id' limit 1");

$text=''.$m_inf['login'].' и '.$w_inf['login'].' разошлись .';
mysql_query( "Insert into msg set id=0, rm='1', from_id='', for_id='', text='".$text."', type='PRESENT', time='".date("H:i:s")."'" );

echo 'Успешно!';

break;




}}

echo $_down;
}else{

header ("Location: /?"); exit;

}
?>